import md5 from 'md5';
import openApi from './openApi';

console.log(`输入 weex.requireModule('login').login()来登录,weex.requireModule('login').logout()登出，weex.requireModule('openApi').getAccessToken()获取当前token`);
const bsl = {
    login: function (index, fun) {
        var loginWindow = document.getElementById('openapi_login_window');
        index = index || 0;
        if (!loginWindow) {
            loginWindow = document.createElement('div')
            loginWindow.id = 'openapi_login_window'
            loginWindow.style.cssText = 'position:fixed;top:0;width:100%;height:100%;background:rgba(0,0,0,.5);z-index:9999'
            loginWindow.innerHTML = '<div style="width:60%;background:#fff;margin:100px auto 0;font-size:16px;">' + '<h4 style="padding:10px">丑陋的登录窗</h4>' + '<p style="padding:10px">用户名：<br/><input id="openapi_login_username" style="border:1px inset #ddd;height:26px"></p>' + '<p><button id="openapi_login_button" style="padding:10px;margin:0 auto;display:block;width:60px;height:40px;border:2px outset;">登录</button></p>' + '</div>'
            document.body.appendChild(loginWindow)

            function doLogin() {
                var name = document.getElementById("openapi_login_username").value

                var stream = weex.requireModule('stream');
                var param = `dealerNo=${name}&adid=27E86EF8-BD22-4D02-98E5-0334839936F3`;
                openApi.setAppKeyAndSecret('gbss-bupm', 'rfGd23Yhjd92JkpWe');
                var options = {
                    url: 'https://gateway-dev.infinitus.com.cn/api/common/users/policy/accessToken?' + param,
                    params: {
                        dealerNo: name,
                        adid: '27E86EF8-BD22-4D02-98E5-0334839936F3'
                    },
                    headers: {
                        'Content-Type': 'application/x-www-form-urlencoded',
                        'Accept': 'application/json',
                        'X-Requested-With': 'OpenAPIRequest',
                        'Accept-Language': 'zh-CN,zh',
                        'X-Fcs-Appoint': 'mpos',
                    }
                }
                var url = openApi.sign(options.url, options.params, options.headers);
                stream.fetch({
                    url: url,
                    headers: options.headers,
                    method: 'POST',
                    type: 'json',
                    body: param,

                }, function (data) {
                    openApi.setAccessToken(data.data.returnObject);
                    localStorage.setItem('accessToken', data.data.returnObject);
                    alert('登录成功');
                })

            }

            document.getElementById("openapi_login_button").onclick = function () {
                doLogin();
                document.body.removeChild(loginWindow);

            }
        }
    },
    logout: function () {
        localStorage.removeItem('accessToken');
        openApi.setAccessToken(null);
        alert('已退出');
    },
}
export default bsl;