// web 模拟
import toast from './toast.js';
import progressHUD from './progressHUD.js';
import route from './route.js';
import network from './network.js';
import openApi from './openApi.js';
import login from './login.js';
import userInfo from './userInfo.js';
import barCodeGenerate from './barCodeGenerate.js';
import commonParam from './commonParam.js';

const modules = {
  toast,
  progressHUD,
  route,
  network,
  openApi,
  login,
  userInfo,
  barCodeGenerate,
  commonParam,
};

const components = {
  init() {
    console.log('cenariusVueRenderer start');
    Object.keys(modules).forEach((k) => {
      weex.registerModule(k, modules[k]);
    });
  },
};

components.init();
export default {
  components,
};
