function replacePath(jsPath, htmlPath) {
  const jsReg = /.+\/(.+)\.js$/ig;
  const htmlReg = /(.+\/)(.+)(\.html$)/ig;
  const fileName = jsReg.exec(jsPath)[1];
  return htmlPath.replace(htmlReg, `$1${fileName}$3`);
}
export default {
  // 路由跳转 传参
  open(url) {
    const weexPage = 'cenarius://route/weex?params=';
    if (url.indexOf(weexPage) === 0) {
      const paramsJson = url.slice(weexPage.length);
      const decodeParamsJsom = decodeURIComponent(paramsJson);
      const params = JSON.parse(decodeParamsJsom);
      const file = params.file;
      const jsReg =  /.+\/(.+)\.js$/ig;  
      weex.requireModule('storage').setItem(jsReg.exec(file)[1],decodeParamsJsom,function(e){});
      if (file) {
        const targetUrl = replacePath(file, window.location.href);
        window.open(targetUrl, '_self');
      } else {
        console.log('没有指定跳转文件');
      }
    } else {
      console.log('不是跳转到weex页面');
    }
  },
  close() {
    window.history.back();
  },
  getParams(){
    let params = null;
    const key = window.location.href;
    const htmlReg =  /.+\/(.+)\.html$/ig;
    weex.requireModule('storage').getItem(htmlReg.exec(key)[1], (e) => {
      params = JSON.parse(e.data);
    });
    return params;
  }
};
